AUPARSE_GET_FIELD_NAME(3)

NAME
auparse_get_field_name - get current field's name

SYNOPSIS
#include <auparse.h>

const char *auparse_get_field_name(auparse_state_t *au);

DESCRIPTION
auparse_get_field_name allows access to the current field name of the current record in the current event.

RETURN VALUE
Returns NULL if an error occurs; otherwise, a pointer to the field's name.

SEE ALSO
auparse_get_field_str(3), auparse_interpret_field(3), auparse_next_field(3).

AUTHOR
Steve Grubb